%define api 5
%define major 5
%define oname qt5

%define module qtwayland

%define qtwaylandclient %mklibname qt%{api}waylandclient %{major}
%define qtwaylandclientd %mklibname qt%{api}waylandclient -d
%define qtwaylandcompositor %mklibname qt%{api}waylandcompositor %{major}
%define qtwaylandcompositord %mklibname qt%{api}waylandcompositor -d

# Requires qdoc5 and qt5-tools to build
%bcond_without docs

Summary:	Version 5 of the Qt toolkit (%{module} packages)
Name:		qt5-%{module}
Version:	5.9.4
Release:	1
License:	LGPLv3+
Group:		Development/KDE and Qt
Url:		http://qt-project.org/
Source0:	http://ftp.fau.de/qtproject/official_releases/qt/%(echo %{version} |cut -d. -f1-2)/%{version}/submodules/%{module}-opensource-src-%{version}.tar.xz
Source100:	%{name}.rpmlintrc
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(Qt5Core) >= %{version}
BuildRequires:	pkgconfig(Qt5DBus) >= %{version}
BuildRequires:	pkgconfig(Qt5Gui) >= %{version}
BuildRequires:	pkgconfig(Qt5OpenGL) >= %{version}
BuildRequires:	pkgconfig(Qt5Qml) >= %{version}
BuildRequires:	pkgconfig(Qt5Quick) >= %{version}
BuildRequires:	pkgconfig(Qt5Widgets) >= %{version}
BuildRequires:	pkgconfig(wayland-client)
BuildRequires:	pkgconfig(wayland-cursor)
BuildRequires:	pkgconfig(wayland-egl)
BuildRequires:	pkgconfig(wayland-server)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xrender)
%if %{with docs}
BuildRequires:	qdoc5
BuildRequires:	qt5-tools
%endif

%description
Version 5 of the Qt toolkit (%{module} packages).

#----------------------------------------------------------------------------

%package -n %{qtwaylandclient}
Summary:	Wayland display system integration for Qt
Group:		System/Libraries

%description -n %{qtwaylandclient}
Wayland display system integration for Qt.

%files -n %{qtwaylandclient}
%{_qt5_bindir}/qtwaylandscanner
%{_qt5_libdir}/libQt%{api}WaylandClient.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}WaylandClient.so.%{major}*
%endif
%{_qt5_plugindir}/platforms/libqwayland-egl.so
%{_qt5_plugindir}/platforms/libqwayland-generic.so
%{_qt5_plugindir}/wayland-decoration-client/libbradient.so
%{_qt5_plugindir}/wayland-graphics-integration-client/libdrm-egl-server.so
%{_qt5_plugindir}/wayland-graphics-integration-client/libqt-plugin-wayland-egl.so
%{_qt5_plugindir}/wayland-graphics-integration-client/libxcomposite-egl.so
%{_qt5_plugindir}/wayland-graphics-integration-client/libxcomposite-glx.so
%{_qt5_plugindir}/wayland-shell-integration/libivi-shell.so

#----------------------------------------------------------------------------

%package -n %{qtwaylandclientd}
Summary:	Development files for the Qt Wayland display system library
Group:		Development/KDE and Qt
Requires:	%{qtwaylandclient} = %{EVRD}
Requires:	%{qtwaylandcompositor} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0
Conflicts:	%{_lib}qt5gui-devel < 5.6.0

%description -n %{qtwaylandclientd}
Development files for the Qt Wayland display system integration for Qt.

%files -n %{qtwaylandclientd}
%{_qt5_includedir}/QtWaylandClient
%{_qt5_libdir}/libQt%{api}WaylandClient.so
%{_qt5_libdir}/libQt%{api}WaylandClient.prl
%{_qt5_libdir}/cmake/Qt%{api}WaylandClient
%{_qt5_libdir}/cmake/Qt%{api}Gui/Qt%{api}Gui_*.cmake
%{_qt5_libdir}/pkgconfig/Qt%{api}WaylandClient.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}WaylandClient.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_waylandclient.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_waylandclient_private.pri

#----------------------------------------------------------------------------

%package -n %{qtwaylandcompositor}
Summary:	Wayland platform QtCompositor module
Group:		System/Libraries

%description -n %{qtwaylandcompositor}
Qt Wayland QtCompositor module.

%files -n %{qtwaylandcompositor}
%{_qt5_libdir}/libQt%{api}WaylandCompositor.so.%{major}*
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/libQt%{api}WaylandCompositor.so.%{major}*
%endif
%{_qt5_plugindir}/platforms/libqwayland-xcomposite-egl.so
%{_qt5_plugindir}/platforms/libqwayland-xcomposite-glx.so
%{_qt5_plugindir}/wayland-graphics-integration-server/libdrm-egl-server.so
%{_qt5_plugindir}/wayland-graphics-integration-server/libwayland-egl.so
%{_qt5_plugindir}/wayland-graphics-integration-server/libxcomposite-egl.so
%{_qt5_plugindir}/wayland-graphics-integration-server/libxcomposite-glx.so
%{_qt5_prefix}/qml/QtWayland/Compositor

#----------------------------------------------------------------------------

%package -n %{qtwaylandcompositord}
Summary:	Development files for the Qt Wayland QtCompositor library
Group:		Development/KDE and Qt
Requires:	%{qtwaylandcompositor} = %{EVRD}
Requires:	%{qtwaylandclientd} = %{EVRD}
Requires:	qmake%{api}
Conflicts:	qmake5 < 5.6.0
Obsoletes:	%{_lib}qt5compositor-devel < 5.8.0

%description -n %{qtwaylandcompositord}
Development files for the Qt Wayland QtCompositor module.

%files -n %{qtwaylandcompositord}
%{_qt5_includedir}/QtWaylandCompositor
%{_qt5_libdir}/libQt%{api}WaylandCompositor.so
%{_qt5_libdir}/libQt%{api}WaylandCompositor.prl
%{_qt5_libdir}/cmake/Qt%{api}WaylandCompositor
%{_qt5_libdir}/pkgconfig/Qt%{api}WaylandCompositor.pc
%if "%{_qt5_libdir}" != "%{_libdir}"
%{_libdir}/pkgconfig/Qt%{api}WaylandCompositor.pc
%endif
%{_qt5_prefix}/mkspecs/modules/qt_lib_waylandcompositor.pri
%{_qt5_prefix}/mkspecs/modules/qt_lib_waylandcompositor_private.pri

#----------------------------------------------------------------------------

%if %{with docs}
%package doc
Summary:	Qt QCH documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
Qt QCH documentation for %{name}.

%files doc
%{_qt5_docdir}/qtwaylandcompositor.qch
%endif

#----------------------------------------------------------------------------

%package examples
Summary:	Example applications for %{name}
Group:		Development/KDE and Qt
Conflicts:	qt5-examples < 5.6.0

%description examples
Example applications for %{name}.

%files examples
%{_qt5_exampledir}/wayland/

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-opensource-src-%{version}

%build
%qmake_qt5
%make STRIP=true

%if %{with docs}
%make docs
%endif

%install
make install STRIP=true INSTALL_ROOT=%{buildroot}

%if %{with docs}
make install_qch_docs INSTALL_ROOT=%{buildroot}
%endif

%if "%{_qt5_libdir}" != "%{_libdir}"
pushd %{buildroot}%{_libdir}
ln -s ../%{_lib}/qt%{api}/%{_lib}/*.so.* .
mkdir pkgconfig
cd pkgconfig
ln -s ../../%{_lib}/qt%{api}/%{_lib}/pkgconfig/*.pc .
popd
%endif

# QMAKE_PRL_BUILD_DIR = /builddir/build/BUILD/qt-everywhere-opensource-src-5.4.0-beta/qtwayland/src/client
## .prl/.la file love
# nuke .prl reference(s) to %%buildroot, excessive (.la-like) libs
pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

%changelog

* Thu Jan 25 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (44c706c) Update files


